org.eclipse.actf.util.httpproxy.proxy

## Interface IHTTPLocalServer

    public interface IHTTPLocalServer

Interface to return HTTP Response for specified request directly from the proxy.

### Method Summary

Methods
`boolean` `processRequest(int id, IHTTPProxyConnection connection, IHTTPRequestMessage request, IHTTPProxyTranscoder transcoder)` Check if the request is target of this implementation.

### Method Detail

#### processRequest

    boolean processRequest(int id,
                         IHTTPProxyConnection connection,
                         IHTTPRequestMessage request,
                         IHTTPProxyTranscoder transcoder)
                           throws InterruptedException,
                                  IOException

Check if the request is target of this implementation. If so, the implementation needs to create `IHTTPResponseMessage` and return it by using sendResponse method of `IHTTPProxyConnection`. Further process of the proxy will be canceled.

Parameters:
  `id` - id of request
  `connection` - target `IHTTPProxyConnection`
  `request` - target `IHTTPRequestMessage`
  `transcoder` - transcoder set to the proxy. Local server may use this transcoder to process the resulting message.
Returns:
  true if the request is target of the `IHTTPLocalServer` implementation
Throws:
  `InterruptedException`
  `IOException`